This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 803843

Summary: openvswitch initscripts don't properly obtain DHCP address
Product: [Fedora] Fedora Reporter: Chris Wright <chrisw>
Component: openvswitchAssignee: Chris Wright <chrisw>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: chrisw, gkotton
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: openvswitch-1.4.0-5.fc16 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-21 15:11:37 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Chris Wright 2012-03-15 14:30:19 EDT
Description of problem:

When setting up an ovs instance to DHCP an address from a physical port (e.g. eth0 or em1) the results are dependent on the network initialization order.

If the physical interface is brought up first it will create the bridge, attempt to DHCP an address, fail, add the physical port and exit.  Then if the ovs instance is brought up, it will try again to DHCP an address and succeed.

If the bridge is brought up first it will create the bridge and attempt to DHCP an address, fail and exit.  Then when the physical interface is brought up, it first attepmts to DHCP an address for the bridge, fails, adds the physical port and exits.

The above order is dependent on alphabetic order of the names of the devices involved.

Version-Release number of selected component (if applicable):

openvswitch-1.4.0-4

How reproducible:

100%

Steps to Reproduce:
1. Create ifcfg-[physdev]
2. Create ifcfg-[ovsbridge]
3. start network
  
Actual results:

Acquiring a DHCP address is dependent on startup order

Expected results:

OVS bridge always gets a DHCP address



Additional info:

ifcfg-[physdev] (eth1 in this case)
DEVICE=eth1
BOOTPROTO=none
HWADDR=00:13:20:f5:fa:8a
ONBOOT=yes
DEVICETYPE=ovs
TYPE=OVSPort
OVS_BRIDGE=ovs0

ifcfg-[ovsbridge] (ovs0 in this case)
DEVICE=ovs0
ONBOOT=yes
DEVICETYPE=ovs
TYPE=OVSBridge
BOOTPROTO=dhcp
Comment 1 Fedora Update System 2012-03-15 15:47:01 EDT
openvswitch-1.4.0-5.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/openvswitch-1.4.0-5.fc17
Comment 2 Fedora Update System 2012-03-15 15:48:30 EDT
openvswitch-1.4.0-5.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/openvswitch-1.4.0-5.fc16
Comment 3 Fedora Update System 2012-03-15 22:44:39 EDT
Package openvswitch-1.4.0-5.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openvswitch-1.4.0-5.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-3883/openvswitch-1.4.0-5.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-21 15:11:37 EDT
openvswitch-1.4.0-5.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Chris Wright 2012-03-22 18:33:51 EDT
With the package update, you'll need to update your ifcfg-[ovsbridge] file as shown in /usr/share/doc/openvswitch-1.4.0/README.RHEL

The example in Comment #1 would now be:

ifcfg-[physdev] (eth1 in this case)
DEVICE=eth1
BOOTPROTO=none
HWADDR=00:13:20:f5:fa:8a
ONBOOT=no
DEVICETYPE=ovs
TYPE=OVSPort
OVS_BRIDGE=ovs0

ifcfg-[ovsbridge] (ovs0 in this case)
DEVICE=ovs0
ONBOOT=no
DEVICETYPE=ovs
TYPE=OVSBridge
BOOTPROTO=dhcp
OVSBOOTPROTO=dhcp
OVSDHCPINTERFACES=eth1
Comment 6 Fedora Update System 2012-04-06 17:26:39 EDT
openvswitch-1.4.0-5.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.